Bug 1612658 (CVE-2018-10927) - CVE-2018-10927 glusterfs: File status information leak and denial of service
Summary: CVE-2018-10927 glusterfs: File status information leak and denial of service
Status: NEW
Alias: CVE-2018-10927
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20180904:0530...
Keywords: Security
Depends On: 1625070 1613680 1616829 1625067
Blocks: 1609600
TreeView+ depends on / blocked
 
Reported: 2018-08-06 05:42 UTC by Sam Fowler
Modified: 2018-11-05 23:15 UTC (History)
30 users (show)

Fixed In Version: glusterfs-3.12.14, glusterfs-4.1.4
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in RPC request using gfs3_lookup_req in glusterfs server. An authenticated attacker could use this flaw to leak information and execute remote denial of service by crashing gluster brick process.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:25 UTC
Red Hat Product Errata RHSA-2018:2608 None None None 2018-09-04 06:26 UTC
Red Hat Product Errata RHSA-2018:3470 None None None 2018-11-05 14:57 UTC

Description Sam Fowler 2018-08-06 05:42:58 UTC
The Gluster file system has a vulnerability allowing for remote attackers to extract the status of arbitrary files and crash the brick process with a crafted filename.

Comment 1 Sam Fowler 2018-08-06 05:43:10 UTC
Acknowledgments:

Name: Michael Hanselmann (hansmi.ch)

Comment 5 Doran Moppert 2018-08-16 01:54:53 UTC
Statement:

This issue did not affect Red Hat Enterprise Linux 6 and 7 as the flaw is present in glusterfs-server, which is not shipped there.

This flaw affects glusterfs versions included in Red Hat Virtualization 4 Hypervisor. However, in recommended configurations, the vulnerability is only exposed to hypervisor administrators and can not be exploited from virtual machines or other hosts on the network. For Red Hat Virtualization, Product Security has rated this flaw as Moderate. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 7 Siddharth Sharma 2018-09-04 05:39:12 UTC
Created glusterfs tracking bugs for this issue:

Affects: fedora-all [bug 1625067]

Comment 9 errata-xmlrpc 2018-09-04 06:25:09 UTC
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.4 for RHEL 7
  Native Client for RHEL 7 for Red Hat Storage

Via RHSA-2018:2607 https://access.redhat.com/errata/RHSA-2018:2607

Comment 10 errata-xmlrpc 2018-09-04 06:26:17 UTC
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.4 for RHEL 6
  Native Client for RHEL 6 for Red Hat Storage

Via RHSA-2018:2608 https://access.redhat.com/errata/RHSA-2018:2608

Comment 11 Siddharth Sharma 2018-09-04 14:58:52 UTC
Mitigation:

To limit exposure of gluster server nodes :  

1. gluster server should be on LAN and not reachable from public networks.  
2. Use gluster auth.allow and auth.reject.  
3. Use TLS certificates to authenticate gluster clients.

caveat: This does not protect from attacks by authenticated gluster clients.

Comment 12 Siddharth Sharma 2018-09-05 07:45:01 UTC
upstream fix:

https://review.gluster.org/21068

Comment 13 errata-xmlrpc 2018-11-05 14:57:13 UTC
This issue has been addressed in the following products:

  Red Hat Virtualization 4 for Red Hat Enterprise Linux 7

Via RHSA-2018:3470 https://access.redhat.com/errata/RHSA-2018:3470


Note You need to log in before you can comment on or make changes to this bug.